using Syntriax.Engine.Core;

namespace Syntriax.Engine.Physics2D.Abstract;

/// <summary>
/// Represents a <see cref="ICollider2D"/> with a custom <see cref="Shape2D"/>.
/// </summary>
public interface IShapeCollider2D : ICollider2D
{
    /// <summary>
    /// Gets or sets the local <see cref="Shape2D"/> of the <see cref="ICollider2D"/>.
    /// </summary>
    Shape2D ShapeLocal { get; set; }

    /// <summary>
    /// Gets the world space representation of the <see cref="Shape2D"/>.
    /// </summary>
    Shape2D ShapeWorld { get; }
}
